//
//  GDPRSettingsViewController.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 25.06.18.
//  Copyright © 2018 Smaato Inc. All rights reserved.
//

import UIKit

class GDPRSettingsViewController: UIViewController {

    @IBOutlet private var infoView: AdBlockView!
    private let gdprHelper = GDPRHelper()

    override func viewDidLoad() {
        super.viewDidLoad()
        infoView.tip = gdprHelper.gdprInfo()
        infoView.tipAlignment = .left
        
        gdprHelper.delegate = self
    }

    //MARK: Actions

    @IBAction private func showGDPRTool(_: Any?) {
        gdprHelper.showGDPRTool(onViewController: self)
    }
}

extension GDPRSettingsViewController: GDPRHelperDelegate {

    func needsUpdateGDPRInformation() {
        infoView.tip = gdprHelper.gdprInfo()
        self.dismiss(animated: true, completion: nil)
    }

}
